[Rubyinstaller-devel] 1.8.6p368 installer and 7z missing include dir

Jon jon.forums at gmail.com
Mon Jul 20 09:44:11 EDT 2009

> Is there a particular problem you're facing?

Not now...the problem was my fault.

I had an issue in which native gems couldn't be built on 1.8.6 because no makefile was generated.

Turned out it was due to me hijacking your DevKit {gcc,make,sh}.bat files (on the 1.8.6 install) by pointing PATH to an existing msys/mingw 4.4.0 install.

As soon as I mod'd the bat files to point to your 3.4.5-based DevKit (installed under 1.9.1), the problem went away.

I've got look again at how you organized DevKit before trying this again :)

More information about the Rubyinstaller-devel mailing list